#include "projet.h"

param_middisp_t middisp_param;
extern GtkWidget *gl_window;

void
middispw_fill_params (GtkWidget * window)
{
  GtkSpinButton *spb;

  spb =
    GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "middspw_hsb"));
  middisp_param.h = gtk_spin_button_get_value_as_float (spb);

  spb = GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "middspw_factsb"));
  middisp_param.factor = gtk_spin_button_get_value_as_int (spb);
  
  /*g_print ("parameters: h=%f, factor=%f\n",
	   middisp_param.h, middisp_param.factor);*/
}


void
on_middispw_okb_clicked (GtkButton * button, gpointer user_data)
{
  terrain->size = 129;

  /* recupere les parametres */
  middispw_fill_params (GTK_WIDGET (user_data));
  terrain->spec_param = (void *) &middisp_param;

  gtk_widget_destroy (GTK_WIDGET (user_data));

  gtkglw_activate_buttons();
  
  terrain->algo = TERR_MIDDISP;  
  ui_generic_generate_new_terrain (terrain);
}
