#include "projet.h"

void
ui_generic_apply_filters (terrain_t * terrain)
{
  int i = 0;

  /* ressort le terrain original */
  copy_orig_terr_to_effective (terrain);
  
  for (i = FILTER1; i < NUM_EFFECTIVE_FILTERS; i++)
    apply_filter (terrain, terrain->filters[i].name,
		  terrain->filters[i].param);
  
  TER_FIL_allpositive(terrain);
  
  terrain->generated = 0;
  
  /* recree la displaylist */
  tessallate_terrain (terrain);
}

void ui_generic_generate_new_terrain (terrain_t *terrain)
{
  if (gen_terrain (terrain) == 0)
    g_error ("Could not generate terrain\n");
  
  if (terrain->heightmap)
    tessallate_terrain (terrain);
}
